___
![](q.png)
___
GETTING STARTED
Welcome to TekTopia! 
This guide will teach you the basic concepts required to get started with your own village and helping it grow.
Please visit the official wiki for detailed info!
[Click here to open URL](https://sites.google.com/view/tektopia/home?authuser=0)

![](structure_markers.png)
STRUCTURE MARKERS 
To get started on your own village you’ll need to first understand how structures in your village work.  All important structures or buildings that your villagers need must be marked with a structure token.  To create a valid structure you’ll need to have a wooden door with an item frame placed above it or adjacent to its top.  Inside that item frame you’ll place the structure marker that you bought from your Architect inside your Town Hall.  The inside of your structure must have a flat floor even with the base of the door and have a roof covering it.  You can find more details about structure validation here.  Once a structure marker is in place and the structure has been validated by the village it will glow letting you know your villagers are ready to use it!

THE TOWN HALL
To begin your village you must first create a Town Hall.  This is the center point of your village and allows more structures to be added to the village.  To acquire your Town Hall structure marker you have two choices:

- Find a naturally generated village
Naturally generated villages will no longer spawn with vanilla villagers. They will instead be populated with TekTopia villagers doing their jobs and living their lives! The buildings will also have valid structure markers by the doors.  You can take these structure tokens and start your own village. However, keep in mind that these tokens will ONLY work with the Town Hall they were generated with. If you try to take some structure markers from a natural village and mix them with your village they won’t work.
- Craft your own Town Hall Marker
If you prefer to start from scratch you can craft your own Town Hall structure marker with the recipe.  If you start your village with your own crafted marker a chest will also spawn inside the building with some things to help you get started

GROWING YOUR VILLAGE
As mayor of your village you’ll have to decide what your village needs most.  You can grow your village in two primary ways: adding new villagers and adding new structures.

- Adding new Villagers
Your village needs villagers to do the work and expand your economy. New villagers can be acquired either by converting wandering nomads or by raising your own children into adults.  In either case you’ll have to buy a profession token from your Tradesman in the Town Hall for emeralds.  Once purchased, you can hold the profession token in your hand and right click on a nomad or villager to convert them to that profession type
- Adding new Structures
Villagers need structures to work and live in. As the city planner you must build these buildings for them.  Structures can be designed any way you like and your villagers will adapt to their shape and flow. All that is required is that you buy the appropriate structure marker and place it in an item frame as described above.  Structure tokens can be purchased from the Architect in your Town Hall for emeralds. Keep in mind that structure tokens will only work in the village that they were purchased in.

After activating your Town Hall you’ll want to build and activate your Storage structure. It is the heart of the city and all villagers will visit it many times a day. 

GROWING YOUR ECONOMY
Expanding your village with new villagers and new structures doesn’t come free. You’ll need as many emeralds as you can since growing your village isn’t cheap.  This is where the wandering Merchant comes in.  Your villagers will be working hard all day to produce items that you can sell to the merchant for emerald profits.  Be careful not to sell too much though, as your villagers need many of these items to do their jobs and to survive.

- Villager Items
An important thing to keep in mind is the merchant will only buy “Villager Items”. These are items that were made completely through the efforts of your villagers and will be colored green.  Items your villagers harvest or create will be villager items if they did the work entirely themselves and if all materials involved in the crafting were also villager items. If, for example, you add non-villager iron to the storage room and the Blacksmith crafts an iron pick out of it, it will not be a green villager item.  So to make a profit with the merchant you’ll have to set your villagers up to rely on each other for the supplies they need.  

HUNGER, HAPPINESS AND MANAGING YOUR VILLAGERS
While your villagers can do a lot by themselves, you’ll still want to monitor things and make sure the village is running smoothly.  They get hungry, they get unhappy, and sometimes they just need to be told what to do and what not to do. You can right click on any of your villagers to see all their important information including skills, hunger, happiness, intelligence, and AI filters.

- Hunger
As your villagers do their jobs they get hungry and need food to eat. Many professions in your villager are there just to keep your villagers fed. The Farmer, Rancher, Butcher, and Chef are all vital to a well fed village. When your villagers need food they will head over to the Storage structure, pick up the best food they can find, and munch away!  If your villagers can’t find food they will eventually starve and die.

- Happiness
All work and no play makes your villagers quite grumpy! Villagers can get unhappy for quite a few reasons, but it’s your job as the mayor to make sure they can get happy again.  An unhappy villager will move extremely slowly as they sulk around town, barely doing their jobs. There are many options to improve the happiness of a villager including tasty new food, an entertaining Bard, or socializing in the Tavern at night with friends.

- AI Filters
Most villagers have quite a list of tasks they can try to accomplish during their work day.  The AI of each villager will do its best to prioritize what should be done first, but many times you’ll want to step in and directly control what your villagers should and shouldn’t do. In the villager details UI you can enable and disable individual AI modules to customize your villager priorities.

SKILLING UP
As your villagers do their jobs every day they tend to get more skilled at their profession.  Every villager has a profession skill level from 1 to 100 where 1 is a complete novice and 100 is a master of their trade. Doing their job every day will slowly raise this skill level and make the villager faster and more efficient at their job. Skill makes a HUGE difference in the productivity of your village. Don’t ignore it.  

In order for a villager to skill up quickly, they’ll need a high intelligence.  The higher a villager’s intelligence is the faster they will skill up in their current profession.  Villagers have a very hard time raising their skill level above their intelligence level. So you’ll want to educate your children in a School or let your adults learn in a Library. 

EXPANSION AWAITS!
That should be enough to get your started.  Remember to read through the rest of the wiki for all the fine details of every Villager, Structure, and Game Mechanic.  Expand your population into the hundreds and get rich on emeralds, but beware of the raiding Necromancer!
